package gridsim.gssim;

import gridsim.GridSimTags;

/**
 * @author Marcin Krystek
 */
public class GssimTags extends GridSimTags {
	
	protected static final int GSSIMBASE = 600; 
	
	public static final int UPDATE= GSSIMBASE - 1;
	
	public static final int TIMER = GSSIMBASE + 1;
	
	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
	
	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
	
	public static final int GET_OFFERS = GSSIMBASE + 5;
	
	public static final int RETURN_GET_OFFERS = GSSIMBASE + 6;

	/**
	 * Message tag: query resource about its current state in object form (load, queues, etc.)
	 */ 
	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 7; 

	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 8; 
	
	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 9;
	
	public static final int TASK_ALLOCATE = GSSIMBASE + 10;
	
	public static final int POWER_STATE_CHANGED = GSSIMBASE + 11;
	
	public static final int FORWARD_EVENT = GSSIMBASE + 12;
	
	
	public static final int SHUTDOWN = GSSIMBASE + 13;
	
	public static final int START = GSSIMBASE + 14;

}